///home/berryj/link/bin/genMethods "-g" "-t" "MHyperGraph" "-r" "Graph" "-I" "LINK/graph/HyperGraph.h" "-y" "display_graph" "-w" "free_graph" "-d" "graph" "-f" "____mHyperGraph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/HyperGraph.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>

void display_graph(SCM, SCM, int);
void free_graph(SCM);

typedef MHyperGraph _MHyperGraph;

#define _MHyperGraphDATA(x) ((MHyperGraph*) (EXTDATA(x)))
#define _MHyperGraphIS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MHyperGraph >::type))
#define _MHyperGraphISNT_DATA(x) (!_MHyperGraphIS_DATA(x))

#define _MHyperGraphCXX_DATA(x) (*(MHyperGraph*) (EXTDATA(VAL(x))))
#define _MHyperGraphCXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MHyperGraph >::type))
#define _MHyperGraphCXX_ISNT_DATA(x) (!_MHyperGraphCXX_IS_DATA(x))


PRIMITIVE STk_init_____mHyperGraph()
{
	Wrapper<_MHyperGraph>::type = STk_new_CXXwrapper_id(
			Wrapper<_MHyperGraph>::name, 
			Wrapper<Graph >::name,
			(void (*)(SCM x, SCM port, int mode))
			display_graph,
			(void (*)(SCM x))0,
			(void (*)(SCM x))free_graph);
	Tcl_InitHashTable(&Register<_MHyperGraph>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra____mHyperGraphMethods(void);

PRIMITIVE STk_init_methods_____mHyperGraph()
{
	genExtra____mHyperGraphMethods();
	return UNDEFINED;
}
